### Method

# ECal Component get_categories

since: 3.34

#### Declaration [src]

    gchar*
    e_cal_component_get_categories (
      ECalComponent* comp
    )

#### Description [src]

Queries the categories of the given calendar component. The categories are returned in the `categories` argument, which, on success, will contain a comma-separated list of all categories set in the component. Free the returned string with g_free(), when no longer needed.

Available since: 3.34

#### Return value

Type: `gchar*`

The categories as string, or `NULL` if none are set.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.